Make hinge not-square

This commit is contained in:
Roberto Alsina 2022-07-23 11:26:55 -03:00
parent 1aef3f05cb
commit a5f39d740e
2 changed files with 13 additions and 12 deletions

View File

@ -10,27 +10,28 @@ screw_head_h = 2.5
screw_head_radius = 3.5
screw_radius = 1.5
hinge_s = 7.5
hinge_w = 7.5
hinge_h = 15
hinge_t = ti_depth - 1
hinge_gap = screw_shaft - 2 * hinge_t
# The side of the screw head
hinge_profile_1 = (
cq.Sketch()
.segment((0, 0), (0, hinge_s))
.arc((0, hinge_s), (hinge_s / 2, 1.5 * hinge_s), (hinge_s, hinge_s))
.segment((hinge_s, 0))
.segment((0, 0), (0, hinge_h))
.arc((0, hinge_h), (hinge_w / 2, hinge_h + hinge_w/2), (hinge_w, hinge_h))
.segment((hinge_w, 0))
.close()
.arc((hinge_s / 2, hinge_s), screw_radius, 0, 360)
.arc((hinge_w / 2, hinge_h), screw_radius, 0, 360)
.assemble()
)
hinge_profile_2 = (
cq.Sketch()
.segment((0, 0), (0, hinge_s))
.arc((0, hinge_s), (hinge_s / 2, 1.5 * hinge_s), (hinge_s, hinge_s))
.segment((hinge_s, 0))
.segment((0, 0), (0, hinge_h))
.arc((0, hinge_h), (hinge_w / 2, hinge_h + hinge_w/2), (hinge_w, hinge_h))
.segment((hinge_w, 0))
.close()
.arc((hinge_s / 2, hinge_s), ti_radius, 0, 360)
.arc((hinge_w / 2, hinge_h), ti_radius, 0, 360)
.assemble()
)

View File

@ -10,7 +10,7 @@ screw_head_h = 2.5
screw_head_radius = 3.5
screw_radius = 1.5
from hinge import hinge_profile_1, hinge_profile_2, hinge_t, hinge_gap, hinge_s
from hinge import hinge_profile_1, hinge_profile_2, hinge_t, hinge_gap, hinge_w
reinforcement_height = 1 + 1 + ti_depth - shell_t
@ -62,11 +62,11 @@ rear_mount = (
.faces(">X")
.workplane(centerOption="CenterOfBoundBox", offset=-(rear_mount_width-20)/2)
.transformed(rotate=cq.Vector(0, 0, 90))
.center(-hinge_s / 2, rear_mount_thickness / 2).tag("hingeplane")
.center(-hinge_w / 2, rear_mount_thickness / 2).tag("hingeplane")
.placeSketch(hinge_profile_1)
.extrude(-hinge_t)
.workplaneFromTagged("hingeplane")
.workplane(offset=-hinge_t - hinge_gap)
.workplane(offset=-hinge_t - hinge_w)
.placeSketch(hinge_profile_2)
.extrude(-hinge_t))